//   Copyright 2012 Georg-August-Universität Göttingen, Germany
//
//   Licensed under the Apache License, Version 2.0 (the "License");
//   you may not use this file except in compliance with the License.
//   You may obtain a copy of the License at
//
//       http://www.apache.org/licenses/LICENSE-2.0
//
//   Unless required by applicable law or agreed to in writing, software
//   distributed under the License is distributed on an "AS IS" BASIS,
//   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
//   See the License for the specific language governing permissions and
//   limitations under the License.

package de.ugoe.cs.autoquest.plugin.html.guimodel;

import de.ugoe.cs.autoquest.eventcore.guimodel.IDialog;

/**
 * <p>
 * TODO comment
 * </p>
 * 
 * @author Patrick Harms
 */
public class HTMLPage extends HTMLGUIElement implements IDialog {

    /**  */
    private static final long serialVersionUID = 1L;

    /**
     * <p>
     * TODO: comment
     * </p>
     *
     * @param specification
     * @param parent
     */
    public HTMLPage(HTMLPageSpec specification, HTMLServer parent) {
        super(specification, parent);
    }

    /*
     * (non-Javadoc)
     * 
     * @see java.lang.Object#toString()
     */
    @Override
    public String toString() {
        return "Page(" + getPagePath() + ", \"" + getPageTitle() + "\")";
    }

    /*
     * (non-Javadoc)
     * 
     * @see de.ugoe.cs.autoquest.plugin.html.guimodel.HTMLGUIElement#getElementDescriptor()
     */
    @Override
    protected String getElementDescriptor() {
        return "Page";
    }

    /**
     * <p>
     * TODO: comment
     * </p>
     *
     * @return
     */
    HTMLServerSpec getServer() {
        return ((HTMLPageSpec) super.getSpecification()).getServer();
    }

    /**
     * <p>
     * TODO: comment
     * </p>
     *
     * @return
     */
    String getPagePath() {
        return ((HTMLPageSpec) super.getSpecification()).getPagePath();
    }

    /**
     * <p>
     * TODO: comment
     * </p>
     *
     * @return
     */
    String getPageTitle() {
        return ((HTMLPageSpec) super.getSpecification()).getPageTitle();
    }

}
